"""add User model"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "eb6c2faa0708"
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "site_user",
        sa.Column("id", sa.Integer(), autoincrement=True, nullable=False),
        sa.Column("email", sa.String(length=255), nullable=False),
        sa.Column("name", sa.String(length=100), nullable=False),
        sa.Column("age", sa.String(length=4), nullable=False),
        sa.Column("gender", sa.String(length=1), nullable=False),
        sa.Column("password_hash", sa.String(length=100), nullable=False),
        sa.Column("registered_on", sa.DateTime(), nullable=True),
        sa.Column("admin", sa.Boolean(), nullable=True),
        sa.Column("public_id", sa.String(length=36), nullable=True),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("email"),
        sa.UniqueConstraint("public_id"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("site_user")
    # ### end Alembic commands ###
